Holger's Java API

## com.antelmann.db
Interface DBEntry

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  Contact, DocumentEntry, EntryRelationship, Person, PropertyEntry, Role<T>, SpecialRelationship<F,T,R>, User

All Known Implementing Classes:
  AbstractDBEntry, BaseDocument, CalendarEntry, CardHeader, Category.Entry, ContactImpl, Country, DBDocument, DBDocument.Header, DefaultEntryRelationship, DefaultSpecialRelationship, EntryHeader, FriendsEntry, GAnnotation, GeoLocation, GEventEntry, GEventRelation, GPerson, GPerson.Header, GPersonalBlogEntry, GPersonRelation, GTag, GUser, ImageURLEntry, ImageURLEntry.Thumbnail, Keyword, LockEntry, MessageEntry, MutableCategory.Entry, PersonImpl, PropertyEntryImpl, PropertyEntryWithAddress, ProtocolNoteEntry, RowItem, SecureUserImpl, StatusString, Stub, UserImpl, YouTubeVideo

    public interface DBEntry

extends Serializable

represents a managable resource that can be persisted through database services and accessed by its ID, which is to remain unique even after serialization within other JVMs.

Author:
  Holger Antelmann
See Also:
  `DBClassStore`, `DBReference`, `DBEntrySelection`

Field Summary
`static DataFlavor` `ENTRY_FLAVOR` allows to transfer a `DBEntry` instance
`static DataFlavor` `ENTRY_LIST_FLAVOR` allows to transfer an array of `DBEntry` objects

Method Summary
`Object` `getID()` returns a immutable, unique and persistent capable identifier for this resource.

Field Detail

### ENTRY_FLAVOR

    static final DataFlavor ENTRY_FLAVOR

  allows to transfer a `DBEntry` instance

### ENTRY_LIST_FLAVOR

    static final DataFlavor ENTRY_LIST_FLAVOR

  allows to transfer an array of `DBEntry` objects

Method Detail

### getID

    Object getID()

  returns a immutable, unique and persistent capable identifier for this resource. The returned value is unique throughout all instances of this class within a given system or database, respectively. The return value is practically always a `Serializable` for entries that are persistent.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads